POST api/batchapi/add/enddryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "0d536b65-9dc7-4a45-995c-dcdb2159b885",
"batch_id": "f8aad183-1cdd-4fcd-be20-25f341b5e50a",
"medistream_id": "b24e07a3-b2ca-41f0-b703-8cca86bc59c4",
"witness_id": "6d6e6e5f-97f0-4602-9f95-a1448222c28a",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-06-09T06:47:26.1386144+00:00",
"stop_time": "2026-06-09T06:47:26.1386144+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>f8aad183-1cdd-4fcd-be20-25f341b5e50a</batch_id> <compartment>1</compartment> <id>0d536b65-9dc7-4a45-995c-dcdb2159b885</id> <medistream_id>b24e07a3-b2ca-41f0-b703-8cca86bc59c4</medistream_id> <start_time>2026-06-09T06:47:26.1386144+00:00</start_time> <stop_time>2026-06-09T06:47:26.1386144+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>6d6e6e5f-97f0-4602-9f95-a1448222c28a</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3e0eaeea-9241-440f-a90f-6f846df930fe"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3e0eaeea-9241-440f-a90f-6f846df930fe</guid>